#
# spec file for package stl-thumb-kde
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           stl-thumb-kde
Version:        0.5.0
Release:        1.2
Summary:        Stl-thumb is a fast lightweight thumbnail generator for STL files.
License:        MIT
URL:            https://github.com/unlimitedbacon/stl-thumb-kde
Source0:        %{url}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
Patch1:         cmake.patch
BuildRequires:  kf6-extra-cmake-modules
BuildRequires:  kf6-filesystem
BuildRequires:  stl-thumb-devel
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Widgets)

%description
This is the KDE / KIO plugin for stl-thumb.
It shows previews of .stl files in Dolphin and throughout the KDE desktop.

%prep
%autosetup -p1

%build
%cmake_kf6
%kf6_build

%install
%kf6_install

%files
%dir %{_kf6_plugindir}/kf6/thumbcreator
%{_kf6_plugindir}/kf6/thumbcreator/stlthumbnail.so

%changelog
* Sun Mar 24 2024 Mike Chikov <mike.chikov@gmail.com>
- Fix build & installation with KDE Plasma 6
* Thu Mar 14 2024 Michael Vetter <mvetter@suse.com>
- Update to 0.5.0:
  * Updated to work with KDE Plasma 6 / QT 6
* Wed Jan 10 2024 Dominique Leuenberger <dimstar@opensuse.org>
- Fix URL to source tarball.
* Thu Jul 21 2022 Michael Vetter <mvetter@suse.com>
- Copy version 0.4.0 from home:mrbadguy:KDE5/stl-thumb-kde
- cmake.patch: remove debian specifics
